/usr/share/arc/configure-SLURM-env.sh is in nordugrid-arc-arex 5.0.5-1ubuntu1.
This file is owned by root:root, with mode 0o644.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 | #
# set environment variables:
#
##############################################################
# Reading configuration from $ARC_CONFIG
##############################################################
if [ -z "$pkgdatadir" ]; then echo 'pkgdatadir must be set' 1>&2; exit 1; fi
. "$pkgdatadir/config_parser.sh" || exit $?
ARC_CONFIG=${ARC_CONFIG:-/etc/arc.conf}
config_parse_file $ARC_CONFIG 1>&2 || exit $?
config_import_section "common"
config_import_section "infosys"
config_import_section "grid-manager"
config_import_section "cluster"
if [ ! -z "$joboption_queue" ]; then
config_import_section "queue/$joboption_queue"
fi
# Path to slurm commands
SLURM_BIN_PATH=${CONFIG_slurm_bin_path:-/usr/bin}
if [ ! -d ${SLURM_BIN_PATH} ] ; then
echo "Could not set SLURM_BIN_PATH." 1>&2
exit 1
fi
# Paths to SLURM commands
squeue="$SLURM_BIN_PATH/squeue"
scontrol="$SLURM_BIN_PATH/scontrol"
sinfo="$SLURM_BIN_PATH/sinfo"
scancel="$SLURM_BIN_PATH/scancel"
sbatch="$SLURM_BIN_PATH/sbatch"
sacct="$SLURM_BIN_PATH/sacct"
# Verifies that a SLURM jobid is set, and is an integer
verify_jobid () {
joboption_jobid="$1"
# Verify that the jobid is somewhat sane.
if [ -z ${joboption_jobid} ];then
echo "error: joboption_jobid is not set" 1>&2
return 1
fi
# jobid in slurm is always an integer, so anything else is an error.
if [ "x" != "x$(echo ${joboption_jobid} | sed s/[0-9]//g )" ];then
echo "error: non-numeric characters in joboption_jobid: ${joboption_jobid}" 1>&2
return 1
fi
return 0
}
|